package cn.com.countrygarden.bi.main.dao.wcx;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.wcx.WcxWeeklyStatisticsDTO;
import cn.com.countrygarden.bi.main.dto.wcx.WcxWeeklyStatisticsVO;
import cn.com.countrygarden.bi.main.model.wcx.WcxWeeklyStatisticsRegion;

import java.util.Collection;
import java.util.List;

@org.apache.ibatis.annotations.Mapper
public interface WcxWeeklyStatisticsRegionMapper extends Mapper<WcxWeeklyStatisticsRegion> {

    List<WcxWeeklyStatisticsRegion> innovationNumZhouTongjiRegion();


    int updateWeekRegion(WcxWeeklyStatisticsRegion weeklyStion);

    List<WcxWeeklyStatisticsRegion> innovationNumYueTongjiRegion();

    List<WcxWeeklyStatisticsRegion> innovationNumRiTongjiRegion();

    List<WcxWeeklyStatisticsDTO> selectstatisquyu(WcxWeeklyStatisticsDTO weeklyStatisticsDTO);

    Long selectstatisquyuCount(WcxWeeklyStatisticsDTO weeklyStatisticsDTO);

    Collection<WcxWeeklyStatisticsVO> selectstatisquyuVO(WcxWeeklyStatisticsDTO weeklyStatisticsDTO);
}
